Bug 52418 - [chromium] Tiled compositor should use texture manager
Summary: [chromium] Tiled compositor should use texture manager
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Adrienne Walker
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-13 18:01 PST by Adrienne Walker
Modified: 2011-01-19 14:29 PST (History)
6 users (show)

See Also:


Attachments
Patch (10.28 KB, patch)
2011-01-14 13:52 PST, Adrienne Walker
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adrienne Walker 2011-01-13 18:01:19 PST
[chromium] Tiled compositor should use texture manager
Comment 1 Adrienne Walker 2011-01-13 18:03:37 PST
This is a needed first step prior to tiling the content and image layers.  This change will get the root layer's behavior closer to how these other layers behave.
Comment 2 Adrienne Walker 2011-01-14 13:52:13 PST
Created attachment 78992 [details]
Patch
Comment 3 Kenneth Russell 2011-01-14 14:04:34 PST
Comment on attachment 78992 [details]
Patch

Looks good as far as I can tell from code inspection. Please make sure these changes are fully tested in the browser as well as with the automated tests.
Comment 4 Adrienne Walker 2011-01-14 14:59:07 PST
Yeah, I know our compositing testing infrastructure is not the best yet, so I did a number of manual browser tests (which the ChangeLog entry was too narrow to contain).

I opened up a number of pages (in the same render process) that used the compositor, resized the browser, switched tabs, closed tabs, and made sure both scrollbars still behaved as expected.
Comment 5 WebKit Commit Bot 2011-01-19 14:29:21 PST
Comment on attachment 78992 [details]
Patch

Clearing flags on attachment: 78992

Committed r76165: <http://trac.webkit.org/changeset/76165>
Comment 6 WebKit Commit Bot 2011-01-19 14:29:26 PST
All reviewed patches have been landed.  Closing bug.